package com.mx.dla.dda.carga.transaccion.ws.procesarCargaTitulosPN;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CARGAPN_PRINCIPAL  
 */
public class CargaPrincipalPNDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_CARGA;
	private String FECHA_CARGA;
	private String EXPEDIENTE;
	private String ARCHIVO_XLSX;
	private String TOTAL_REGISTROS;
	private String TOTAL_CARGADOS;
	private String TOTAL_ERROR;

	public String getID_CARGA() {
		return ID_CARGA;
	}

	public void setID_CARGA(String iD_CARGA) {
		ID_CARGA = iD_CARGA;
	}

	public String getFECHA_CARGA() {
		return FECHA_CARGA;
	}

	public void setFECHA_CARGA(String fECHA_CARGA) {
		FECHA_CARGA = fECHA_CARGA;
	}

	public String getEXPEDIENTE() {
		return EXPEDIENTE;
	}

	public void setEXPEDIENTE(String eXPEDIENTE) {
		EXPEDIENTE = eXPEDIENTE;
	}

	public String getARCHIVO_XLSX() {
		return ARCHIVO_XLSX;
	}

	public void setARCHIVO_XLSX(String aRCHIVO_XLSX) {
		ARCHIVO_XLSX = aRCHIVO_XLSX;
	}

	public String getTOTAL_REGISTROS() {
		return TOTAL_REGISTROS;
	}

	public void setTOTAL_REGISTROS(String tOTAL_REGISTROS) {
		TOTAL_REGISTROS = tOTAL_REGISTROS;
	}

	public String getTOTAL_CARGADOS() {
		return TOTAL_CARGADOS;
	}

	public void setTOTAL_CARGADOS(String tOTAL_CARGADOS) {
		TOTAL_CARGADOS = tOTAL_CARGADOS;
	}

	public String getTOTAL_ERROR() {
		return TOTAL_ERROR;
	}

	public void setTOTAL_ERROR(String tOTAL_ERROR) {
		TOTAL_ERROR = tOTAL_ERROR;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_CARGA: _" + this.getID_CARGA() + "_" + NEW_LINE);
		result.append(" FECHA_CARGA: _" + this.getFECHA_CARGA() + "_" + NEW_LINE);
		result.append(" EXPEDIENTE: _" + this.getEXPEDIENTE() + "_" + NEW_LINE);
		result.append(" ARCHIVO_XLSX: _" + this.getARCHIVO_XLSX() + "_" + NEW_LINE);
		result.append(" TOTAL_REGISTROS: _" + this.getTOTAL_REGISTROS() + "_" + NEW_LINE);
		result.append(" TOTAL_CARGADOS: _" + this.getTOTAL_CARGADOS() + "_" + NEW_LINE);
		result.append(" TOTAL_ERROR: _" + this.getTOTAL_ERROR() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
